/***************************** LICENSE START ***********************************

 Copyright 2012 ECMWF and INPE. This software is distributed under the terms
 of the Apache License version 2.0. In applying this license, ECMWF does not
 waive the privileges and immunities granted to it by virtue of its status as
 an Intergovernmental Organization or submit itself to any jurisdiction.

 ***************************** LICENSE END *************************************/

#ifndef NoEditor_H
#define NoEditor_H

#include "Editor.h"

class NoEditor : public Editor 
{
public:
	NoEditor(const IconClass&,const string&);
	virtual ~NoEditor();
	
	void changed() {};
	void raiseIt() {};

private:
	NoEditor(const NoEditor&);
	NoEditor& operator=(const NoEditor&);

	void edit() {};
	void showIt() {};
};

inline void destroy(NoEditor**) {}

#endif
